Check True.

Check False.

Check exists x, 3 = 2*x.

Definition even (x : nat) : Prop := exists y, x = 2 * y.

Check even 4.

Check even 5.

Require Arith.

Lemma even_4 : even 4.
exists 2.
trivial.
Qed.

Lemma and_ex1 : forall A B:Prop, A /\ B -> B /\ A.
intros A.
intros B.
intros AB.
destruct AB as [Ha Hb].
split.
exact Hb.
assumption.
Qed.

Lemma or_ex1 : forall A B:Prop, A \/ B -> B \/ A.
intros A.
intros B.
intros AB.
case AB.
intros Ha.
right.
exact Ha.
intros Hb.
left.
exact Hb.
Qed.

Lemma all_and : 
  forall A : Type, forall P Q : A -> Prop,
  (exists x : A, P x /\ Q x) -> (exists x : A, P x) /\ (exists x : A, Q x).
intros A P Q Hex.
case Hex.
intros x [Hp Hq].
split.
exists x.
exact Hp.
exists x; exact Hq.
split; exists x; assumption.
firstorder.
Qed.