; the following function makes it possible to grab whole commands from
; another buffer to insert in the current buffer.  This function should
; be linked to a short key sequence.  The input data should be in a
; buffer called "input.v"
; sentences are taken one at a time from the buffer input.v
; sentences are delimited by periods at the end of lines.

(defun move-data ()
  (interactive)
  (let ((thisbuf (current-buffer))
        (tracebuf (get-buffer "trace"))
        (otherbuf (get-buffer "input.v"))
        (str ""))
      (when otherbuf
          (set-buffer otherbuf)
          (let ((old-pnt (point-marker)))
               (re-search-forward "\\.$")
               (forward-char 1)
               (setq str (buffer-substring old-pnt (point))))
          (call-process "/Users/bertot/mt" () tracebuf ())
          (set-buffer tracebuf)
          (insert-string str)
          (set-buffer thisbuf)
          (insert-string str))))

; example of binding (found in my .emacs file
; (global-set-key [?\C-\'] 'move-data)

(defun coq-preprocessing ()
   (let ((thisbuf (current-buffer))
         (tracebuf (get-buffer "trace")))
        (call-process "/Users/bertot/mt" () tracebuf ())
        (set-buffer tracebuf)
        (insert-string "<sendtocoq>")
        (insert-string string)
        (set-buffer thisbuf)))